Home/Support/Support Forum/Strange Error adding XTend-PKG to DigiMesh...

Strange Error adding XTend-PKG to DigiMesh...

0 votes
I get the following error in XCTU when I switch to network working mode.

"XTend (legacy) radio modules do not support the network discovery process"

It appears to me that my 9XTend-PKG can not participate in a DigiMesh network?!?

I have it in API mode. Is the 9XTend-PKG really legacy?

Any ideas??
asked Oct 19, 2014 in XTend by wbaldwin5 New to the Community (3 points)

Please log in or register to answer this question.

1 Answer

0 votes
The Mesh protocol that exists for the 9xtend was the first rendition of the Mesh code created almost 7 years ago. At that time, the API interface only offered TX and RX frames.

Now the New XCTU NG software is based off of the 3rd generation of the Digi Mesh protocol found in the XBee products which offers a large API interface. This New API interface which has yet to be added to the 9XTends code offers network mapping, rout discoveries and much more. This is why you get the message you are.
answered Oct 22, 2014 by mvut Veteran of the Digi Community (11,300 points)
Thank you for the great response.  Now the follow up question: my goal is to setup a mesh network with 9XTend-PKG and several XT09-SI modules.  Is that possible?  Must I replace the 9XTend-PKG with a XT09-SI module to get it to work?  Do I need to downgrade my XCTU software?
Yes, any one of the Xtend products can be loaded with the Mesh firmware allowing it to operate under a mesh network.  Just understand that the Xtend by nature is a Long range product that operates in a Peer to peer network.  Depending on the range you need and can achieve, you may find that the standard firmware will do what you want.

As for the XCTU, yes, you will need to use the 5.2.8.6 or older version.
...